package gorm

type FsProductSize struct {
	Id              int64   `gorm:"primary_key" json:"id"`
	ProductId       *int64  `gorm:"default:0" json:"product_id"`        // 产品ID
	Title           *string `gorm:"default:''" json:"title"`            // 标题 10*10*20
	Cover           *string `gorm:"default:''" json:"cover"`            // 封面图
	CoverImg        *string `gorm:"default:''" json:"cover_img"`        // 背景图
	Capacity        *string `gorm:"default:''" json:"capacity"`         // 自己填的尺寸名称
	Status          *int64  `gorm:"default:1" json:"status"`            // 状态位 1显示 0删除
	Sort            *int64  `gorm:"default:50" json:"sort"`             // 排序
	Remark          *string `gorm:"default:''" json:"remark"`           // 备注信息
	PartsCanDeleted *int64  `gorm:"default:1" json:"parts_can_deleted"` // 配件是否可移除 1是0否
}
