package svc

import (
	"fusenapi/initalize"
	"fusenapi/server/product/internal/config"
	"gorm.io/gorm"
)

type ServiceContext struct {
	Config config.Config

	MysqlConn *gorm.DB
}

func NewServiceContext(c config.Config) *ServiceContext {
	return &ServiceContext{
		Config:    c,
		MysqlConn: initalize.InitMysql(c.SourceMysql),
	}
}
