package gorm

import "database/sql"

type FsFaq struct {
	Id      int64          `gorm:"primary_key" json:"id"`
	TagId   *int64         `gorm:"default:0" json:"tag_id"`    // 分类ID
	TagName *string        `gorm:"default:''" json:"tag_name"` // 分类名称
	Title   *string        `gorm:"default:''" json:"title"`    // 标题
	Content *string        `gorm:"default:''" json:"content"`  // 内容
	Status  *int64         `gorm:"default:1" json:"status"`    // 状态(0:禁用，1:启用)
	Sort    *int64         `gorm:"default:0" json:"sort"`      // 排序
	Ctime   *sql.NullInt64 `gorm:"default:0" json:"ctime"`     // 添加时间
}
